<div class="panel panel-custom-heading panel-default panel-hovered panel-stacked mb20">
    <div class="panel-heading no-padding-bottom clearfix">

        <div class="left form-inline">
            <div class="form-group form-group-sm">
                <input type="text" class="form-control mb5" placeholder="Tìm kiếm nhóm quyền ..."
                    [(ngModel)]="permission_key">
                <label>{{_roleParentData['name']}}</label>
            </div>
        </div>
        <div class="right form-inline">
            <div class="btn-group">
                <button *ngIf="_roleParentData['id']" (click)="addPermissionstoRole()" type="button"
                    class="btn btn-sm btn-success right">Cập nhật</button>
                <button *ngIf="userPermission['CREATE-PERMISSION-GROUP']" (click)="openPermissionPopUpCreate()" type="button"
                    class="btn btn-sm btn-success right"><i class="icon-plus"></i>Tạo mới quyền</button>
            </div>
        </div>
    </div>
    <div class="panel-body">
        <div class="list-group-permission clearfix"
            *ngFor="let per of ListPermission  | searchPipe:'group_name':permission_key ">
            <h4 class="h5">
                <label>
                    <input type="checkbox" (ngModelChange)="setCheckallPermissionGroup(per,$event)"
                        [(ngModel)]="per.selected">
                    <span class="title-checkbox">{{per.group_name}}</span>
                </label>
            </h4>
            <ul class="list-unstyled list-has-tool list-permisisons  clearfix">
                <li class="col-md-4" *ngFor="let subper of per['permissions']">
                    <div class="ui-checkbox ui-checkbox-primary">
                        <label>
                            <input  (ngModelChange)="checkedPermissions(per)" [(ngModel)]="subper.selected" type="checkbox">
                            <span class="title-checkbox">{{subper.permission_name}}</span>
                        </label>
                    </div>
                    <div class="group-setting-list">
                            <div class="group-setting-list">
                                    <span *ngIf="userPermission['UPDATE-PERMISSION-GROUP']"  (click)="openPermissionPopUpEdit(subper)" class="button-ion button-ion-small mr5 glyphicon glyphicon-edit"
                                        title="Sửa" style="color: green"></span>
                                    <span *ngIf="userPermission['DELETE-PERMISSION-GROUP']"  (click)="delete(subper.permission_id)" class="button-ion button-ion-small  glyphicon glyphicon-trash"
                                        title="Xóa" style="color: red"></span>
                                </div>
                      
                    </div>
                </li>
            </ul>
        </div>

    </div>
</div>

